<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" rel="stylesheet" />
</head>
<style>
    * {
        box-sizing: border-box;
        padding: 0;
        margin: 0;
    }

    .container {
        position: relative;
        width: 80%;
        max-width: 100%;
        margin: 0 auto;
    }

    .menu-flex {
        display: flex;
        justify-content: space-between;
        background-color: blue;
        align-items: center;
        padding: 0 5px;
    }

    nav {
        text-align: center;
    }

    a {
        margin-left: 10px;
        color: white;
        font-size: 20px;
        text-decoration: none;
    }

    h1 {}

    section {
        display: flex;
        justify-content: space-around;
        flex-wrap: wrap;
        align-items: center;
        padding: 2em 0;
    }

    section:nth-child(1) {
        animation-duration: 2s;
        animation-name: scale;
    }

    .news-ctn {
        display: flex;
        align-items: center;
        flex-direction: column;
        flex-wrap: wrap;
        width: 260px;
        border: 1px solid black;
        padding: 0;
    }

    .article-ctn {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: space-around;
        width: 100%;
        border: 1px solid black;
        margin: 2rem 0;
        padding: 1rem 0;
    }

    .news-ctn p {
        max-width: 250px;
    }

    .article-ctn p {
        max-width: 100%;
    }

    section .article-ctn:nth-child(even) {
        text-align: right;
        animation-duration: 3s;
        animation-name: right;
    }

    section .article-ctn:nth-child(odd) {
        text-align: left;
        animation-duration: 3s;
        animation-name: left;
    }

    footer {
        display: flex;
        background: green;
    }

    .link,
    .lien-reseaux {
        width: 25%;
        display: flex;
        align-items: center;
        justify-content: space-around;
    }

    .link {
        flex-direction: column;
        border-right: 1px solid #000;
        animation-duration: 3s;
    }

    .lien-reseaux:hover a {
        color: red;
    }

    @keyframes right {
        from {
            margin-right: 100px;
            width: 300%;
            opacity: 0;
        }

        to {
            margin-right: 0%;
            width: 100%;
            opacity: 1;
        }
    }

    @keyframes left {
        from {
            margin-left: 100px;
            width: 300%;
            opacity: 0;
        }

        to {
            margin-left: 0%;
            width: 100%;
            opacity: 1;
        }
    }

    @keyframes scale {
        from {
            opacity: 0;
            transform: scale(1.2);
        }

        to {
            transform: scale(1);
            opacity: 1;
        }
    }
</style>

<body>
    <header>
        <div class="menu-flex">
            <div class="logo">
                <img src="https://via.placeholder.com/50x50" alt="">
            </div>
            <nav>
                <a href="#" class="black">Ab Show</a>
                <a href="#">Accueil</a>
                <a href="#">Nos spectacle</a>
                <a href="#">A Propos</a>
                <a href="#">News</a>
            </nav>
        </div>
    </header>
    <main>
        <section class="container ">
            <article class="news-ctn">
                <img src="https://via.placeholder.com/250x250" alt="">
                <h1>Mon titre</h1>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae magnam, vero, quis fuga
                    cupiditate
                    harum
                    delectus velit dignissimos ducimus eum facere quod natus consequuntur unde. Veniam commodi pariatur
                    modi
                    ipsum.</p>
            </article>
            <article class="news-ctn">
                <img src="https://via.placeholder.com/250x250" alt="">
                <h1>Mon titre</h1>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae magnam, vero, quis fuga
                    cupiditate
                    harum
                    delectus velit dignissimos ducimus eum facere quod natus consequuntur unde. Veniam commodi pariatur
                    modi
                    ipsum.</p>
            </article>
            <article class="news-ctn">
                <img src="https://via.placeholder.com/250x250" alt="">
                <h1>Mon titre</h1>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae magnam, vero, quis fuga
                    cupiditate
                    harum
                    delectus velit dignissimos ducimus eum facere quod natus consequuntur unde. Veniam commodi pariatur
                    modi
                    ipsum.</p>
            </article>
            <article class="news-ctn">
                <img src="https://via.placeholder.com/250x250" alt="">
                <h1>Mon titre</h1>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae magnam, vero, quis fuga
                    cupiditate
                    harum
                    delectus velit dignissimos ducimus eum facere quod natus consequuntur unde. Veniam commodi pariatur
                    modi
                    ipsum.</p>
            </article>
        </section>
        <section class="container">
            <article class="article-ctn">
                <h1>Mon titre</h1>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae magnam, vero, quis fuga
                    cupiditate
                    harum
                    delectus velit dignissimos ducimus eum facere quod natus consequuntur unde. Veniam commodi pariatur
                    modi
                    ipsum.Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae magnam, vero, quis fuga
                </p>
                <div class="btn-spacebtw">
                    <button>Mon action</button>
                    <button>Mon action</button>
                </div>
            </article>
            <article class="article-ctn">
                <h1>Mon titre</h1>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae magnam, vero, quis fuga
                    cupiditate
                    harum
                    delectus velit dignissimos ducimus eum facere quod natus consequuntur unde. Veniam commodi pariatur
                    modi
                    ipsum.Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae magnam, vero, quis fuga
                </p>
                <div class="btn-spacebtw">
                    <button>Mon action</button>
                    <button>Mon action</button>
                </div>
            </article>
            <article class="article-ctn">
                <h1>Mon titre</h1>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae magnam, vero, quis fuga
                    cupiditate
                    harum
                    delectus velit dignissimos ducimus eum facere quod natus consequuntur unde. Veniam commodi pariatur
                    modi
                    ipsum.Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae magnam, vero, quis fuga
                </p>
                <div class="btn-spacebtw">
                    <button>Mon action</button>
                    <button>Mon action</button>
                </div>
            </article>
        </section>
    </main>
    <footer>
        <nav class="link">
            <a href="#">Lien</a>
            <a href="#">Lien</a>
            <a href="#">Lien</a>
            <a href="#">Lien</a>
            <a href="#">Lien</a>
        </nav>
        <nav class="link">
            <a href="#">Lien</a>
            <a href="#">Lien</a>
            <a href="#">Lien</a>
            <a href="#">Lien</a>
            <a href="#">Lien</a>
        </nav>
        <nav class="link">
            <a href="#">Lien</a>
            <a href="#">Lien</a>
            <a href="#">Lien</a>
            <a href="#">Lien</a>
            <a href="#">Lien</a>
        </nav>
        <nav class="lien-reseaux">
            <a href="#"><i class="fa-brands fa-facebook-f"></i></a>
            <a href="#"><i class="fa-brands fa-instagram"></i></a>
            <a href="#"><i class="fa-brands fa-twitter"></i></a>
            <a href="#"><i class="fa-brands fa-linkedin"></i></a>
            <a href="#"><i class="fa-brands fa-google"></i></a>
        </nav>
    </footer>
</body>

</html>